# 本地开发环境配置
spring:
  config:
    activate:
      on-profile: local
  r2dbc:
    url: r2dbc:postgresql://localhost:55432/manage_system
    username: novalon
    password: 123456
    pool:
      initial-size: 5
      max-size: 20
      max-idle-time: 10m
      max-life-time: 30m
      acquire-timeout: 3s
  datasource:
    url: jdbc:postgresql://localhost:55432/manage_system
    username: novalon
    password: 123456
    driver-class-name: org.postgresql.Driver
  flyway:
    enabled: true
    locations: classpath:db/migration
    baseline-on-migrate: true
    baseline-version: 0
    validate-on-migrate: true
  sql:
    init:
      mode: always

logging:
  level:
    cn.novalon.manage: DEBUG
    org.springframework.r2dbc: DEBUG
    cn.novalon.manage.db: DEBUG
    org.flywaydb: DEBUG